Index Page trcoff_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void trcoff_c ( void )
#### Abstract
       Disable tracing.
#### Required_Reading
       ERROR
#### Keywords
       ERROR
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------

       None.
#### Detailed_Input
       None.
#### Detailed_Output
       None.
#### Parameters
       None.
#### Exceptions
       Error free.
#### Files
       None.
#### Particulars
       This routine disables tracing.  Checking in or out does not modify
       the current traceback any further after trcoff_c is called. The
       routines trcnam_, trcdep_, and qcktrc_ will return information
       based on the traceback at the point where trcoff_c is called.

       Once tracing has been disabled, it cannot be re-enabled.

       Additionally, trcoff_c blanks out the existing trace, since the
       trace will usually be invalid at the time an error is signalled.
       The frozen copy of the trace, if there is one, is not modified.
#### Examples
       1)    /.
                   Program initialization:

                        .
                        .
                        .

                   We disable tracing to enhance speed:
             ./
                   trcoff_c ();
             /.
                   More initialization code:
             ./
                        .
                        .
                        .
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman    (JPL)
       K.R. Gehringer  (JPL)
#### Version
       -CSPICE Version 1.0.0, 08-FEB-1998 (EDW)
#### Index_Entries
       turn tracing off
#### Link to routine trcoff_c source file trcoff_c.c

    Wed Jun  9 13:05:31 2010